> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cockroachlabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# DROP EXTERNAL CONNECTION

You can use external connections to specify and interact with resources that are external from CockroachDB. When creating an external connection, you define a name for an external connection while passing the provider URI and query parameters. The `DROP EXTERNAL CONNECTION` statement allows you to delete external connections.

You can also use the following SQL statements to work with external connections:

* [`CREATE EXTERNAL CONNECTION`](/docs/stable/create-external-connection)
* [`SHOW CREATE EXTERNAL CONNECTION`](/docs/stable/show-create-external-connection)
* [`SHOW EXTERNAL CONNECTION`](/docs/stable/show-external-connection)

## Required privileges

Users must have the [`DROP` privilege](/docs/stable/security-reference/authorization#supported-privileges) or be a member of the [`admin` role](/docs/stable/security-reference/authorization#admin-role) to drop an external connection.

For example:

```sql theme={"theme":{"light":"catppuccin-mocha","dark":"catppuccin-mocha"}}
GRANT DROP ON EXTERNAL CONNECTION backup_bucket TO user;
```

## Synopsis

![drop\_external\_connection syntax diagram](https://mintcdn.com/cockroachlabs/UZNSFbmU2EwEm6G5/images/sql-diagrams/common/drop_external_connection.svg?fit=max\&auto=format\&n=UZNSFbmU2EwEm6G5\&q=85\&s=42369f3497968f08f2732dc74c2a65ba)

### Parameters

| Parameter | Description |
| - | - |
| `connection_name` | The name of the external connection to pass in operation statements. |

## Examples

### Drop an external connection

To delete an external connection named `backup_storage`, run the following:

```sql theme={"theme":{"light":"catppuccin-mocha","dark":"catppuccin-mocha"}}
DROP EXTERNAL CONNECTION backup_storage;
```

## See also

* [Use Cloud Storage](/docs/stable/use-cloud-storage.md)
* [Changefeed Sinks](/docs/stable/changefeed-sinks.md)
